varying vec2 vUv;
varying vec3 vNormal;
varying float ao;

uniform float time;               // Pass time to fragment shader
uniform vec2 resolution;          // Pass resolution to fragment shader

void main() {
    vUv = uv;
    vNormal = normalize(normalMatrix * normal);
    ao = 1.0;  // Example value; adjust or calculate as necessary

    gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0);
}
